List MBS Banks
curl --request GET \
--url https://carbonapistagingsecure.getcarbon.co/baas/api/v1/loans/banks/list \
--header 'apikey: <api-key>' \
--header 'x-carbon-key: <x-carbon-key>'const options = {
method: 'GET',
headers: {'x-carbon-key': '<x-carbon-key>', apikey: '<api-key>'}
};
fetch('https://carbonapistagingsecure.getcarbon.co/baas/api/v1/loans/banks/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://carbonapistagingsecure.getcarbon.co/baas/api/v1/loans/banks/list"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-carbon-key", "<x-carbon-key>")
req.Header.Add("apikey", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "success",
"data": [
{
"bankCode": "565",
"bankName": "Carbon"
},
{
"bankCode": "058",
"bankName": "GTBank"
},
{
"bankCode": "011",
"bankName": "First Bank"
},
{
"bankCode": "033",
"bankName": "UBA"
}
]
}Loans
List Supported Banks
Get the list of banks supported for bank statement requests.
GET
/
v1
/
loans
/
banks
/
list
List MBS Banks
Overview
Returns all banks supported by the Mobile Banking Statement (MBS) service. Use thebankCode from this list as sort_code when calling POST /v1/loans/:applicationId/bank-statement.
Request
Method:GETURL:
/v1/loans/banks/list
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
x-carbon-key | Header | string | Yes | API key for authentication. |
Response
200 OK
{
"status": "success",
"data": [
{ "bankCode": "565", "bankName": "Carbon" },
{ "bankCode": "058", "bankName": "GTBank" },
{ "bankCode": "011", "bankName": "First Bank" },
{ "bankCode": "033", "bankName": "UBA" }
]
}
⌘I